Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006925TestLinkAssign Test Case Executionpublic2015-02-02 13:212015-02-15 17:34
Reporterswang3 
Assigned To 
PrioritynoneSeverityfeature requestReproducibilityhave not tried
StatusnewResolutionopen 
PlatformOSOS Version
Product Version1.9.12 (2014 Q3) 
Fixed in Version 
Summary0006925: Support filter test cases based on linked bug status
DescriptionDuring assign test cases for a new build/release, it would be better to know that if the previous failed/blocked test cases can be executed or not in the current build/release based on the bug status (resolved status). The logic works like this: When this filter is turned on, if all bugs linked a test case have resolved status, then this is a valid test case.

There may be performance issue since we have to get the bug status via external bug tracking system so by default we won't apply this filter.
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Files

- Relationships

-  Notes
(0022632)
swang3 (reporter)
2015-02-05 06:34

In order to get an intermediate solution on this, I tried to enable "filter_bugs" in "plan_mode" in tlTestCaseFilterControl.class.php, I can then see the "Bugs on Exec. Context" option on the filter, however, looks like it doesn't work. It generates an error message.
==============================================================================
 DB Access Error - debug_print_backtrace() OUTPUT START
 ==============================================================================
#0 database->exec_query() called at [/var/www/html/testlink-1.9.12/lib/functions/database.class.php:634]
#1 database->fetchRowsIntoMap() called at [/var/www/html/testlink-1.9.12/lib/functions/execTreeMenu.inc.php:700]
0000002 testPlanTree() called at [/var/www/html/testlink-1.9.12/lib/functions/tlTestCaseFilterControl.class.php:920]
0000003 tlTestCaseFilterControl->build_tree_menu() called at [/var/www/html/testlink-1.9.12/lib/plan/planTCNavigator.php:30]
 ==============================================================================
(0022634)
fman (administrator)
2015-02-05 10:58

need detailed steps to reproduce
(0022641)
swang3 (reporter)
2015-02-05 12:27

1. In tlTestCaseFilterControl.class.php line 263, adding "filter_bugs" in "plan_mode:
'plan_mode' => array('filter_tc_id', 'filter_testcase_name', 'filter_toplevel_testsuite', 'filter_keywords', 'filter_priority', 'filter_execution_type', 'filter_assigned_user', 'filter_custom_fields', 'filter_result', 'filter_bugs'),

2. Select a test plan, and go to "Assign Test Case Execution", you will see "Bugs on Exec. Context" option on the filter.

3. If you enter a bug ID in this option and click "apply", it will generate the above error message.

Maybe it's supposed that this function will not work in this mode. However, I didn't find an easier way to add a new filter option for bug status.
(0022716)
fman (administrator)
2015-02-15 17:34

>> Maybe it's supposed that this function will not work in this mode.
before changing code it would be better to understand it as much as possible
and do not wokr by trial & error

- Issue History
Date Modified Username Field Change
2015-02-02 13:21 swang3 New Issue
2015-02-05 06:34 swang3 Note Added: 0022632
2015-02-05 10:58 fman Note Added: 0022634
2015-02-05 12:27 swang3 Note Added: 0022641
2015-02-15 17:33 fman QA Team - Task Workflow Status => TBD
2015-02-15 17:33 fman Description Updated View Revisions
2015-02-15 17:34 fman Note Added: 0022716
2015-02-15 17:34 fman Priority normal => none



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker